<table class="working-times">
	<? if ( $this->work_times['available_24_7'] ): ?>
	<thead>
		<tr>
			<td colspan="2"><?= $this->t('working_time') ?></td>
		</tr>
	</thead>
	<tr>
		<td align="center">
			<p class="available_24_7"><?= __('wt_24_7_text') ?></p>
		</td>
	</tr>
	<? endif;?>
	
	<? if ( $this->work_times['working_times'] && ! $this->work_times['available_24_7'] ): ?>
	<thead>
		<tr>
			<td><?= $this->t('working_time') ?>:</td>
			<? if ( $this->escort->getIsNowOpen() ): ?>
			<td><img alt="Now open" src="/img/v2.1/open_<?= $this->lang() ?>.png" class="img" /></td>
			<? else: ?>
			<td><img alt="Closed" src="/img/v2.1/closed_<?= $this->lang() ?>.png" class="img" /></td>
			<? endif; ?>
		</tr>
	</thead>
	<tbody>
		<? ksort($this->work_times['working_times']); foreach($this->work_times['working_times'] as $k => $wt): $wt = (object) $wt ?>
		<tr>
			<?php $curDay = ( $k == date('N') ) ? 'color: #0A820E; font-weight: bold;' : false; ?>
            <?php
                $_start = ( ($wt->from < 10) ? '0' . $wt->from : $wt->from ) . ':' . ( ($wt->from_m < 10) ? '0' . $wt->from_m : $wt->from_m );
                $_end = ( ($wt->to < 10) ? '0' . $wt->to : $wt->to ) . ':' . ( ($wt->to_m < 10) ? '0' . $wt->to_m : $wt->to_m );
            ?>
            <?php $curTime = ( $curDay ) ? inInterval( $_start, $_end ) : false; ?>

			<th style="<?=( $curDay ) ? $curDay : ''?>"><?= $this->getWeekDay($k, $this->lang()); ?>:</th>
			<td style="<?=( $curTime ) ? 'color: #0A820E; font-weight: bold;' : ''?>">
                <?= $_start ?> - <?= $_end ?>
            </td>
		</tr>
		<? endforeach;?>
	</tbody>
	<? endif; ?>	
</table>
<div class="borderElm"></div>
<div class="clear"></div>

<?php
    function inInterval( $start, $end ){

        $start_date = new DateTime('today ' . $start );
        $end_date = new DateTime('today ' . $end );
        $now = new DateTime();

        if ( $start_date <= $now && $now < $end_date ) {
            return true;
        } else {
            return false;
        }
    }
?>